• Jérome Perrin's avatar
    component/glib: set --with-python to generate scripts with slapos python · c5cd4e06
    Jérome Perrin authored
    glib configure script uses by default python2.7 to substitute in scripts,
    but it also supports --with-python argument. Since the scripts support
    python2 or python3, we can use the full path of the python used by
    buildout. This will sometimes create shebang lines like:
    
        #!/usr/bin/env /path/to/slapos/python3/bin/python
    
    but this also work fine.
    
    This replaces the following commits:
     - 7581b668 (component/glib: remove bad file bin/gtester-report after compilation, 2020-08-07)
     - 9c47f828 (componnent/gtk-2: Add python2.7 as the dependency of pango, 2022-08-18)
    c5cd4e06